#ifndef STARDUNDEE_H
#define STARDUNDEE_H

#include <QWidget>
#include "spw_usb_api.h"
#include <QPushButton>
#include <QGridLayout>
#include <QSpinBox>
#include <QLabel>

class StarDundee : public QWidget
{
    Q_OBJECT
public:
    explicit StarDundee(QWidget *parent = 0);
    ~StarDundee();
    star_device_handle hDevice;// Handle to the SpaceWire device
    QGridLayout *connection_LAYOUT;
    
signals:
    void sendMessage(QString message);
    
public slots:
    unsigned int OpenStarDundee();
    unsigned int CloseStarDundee();

private:

    QPushButton *openCommunication_BUTTON;
    QPushButton *closeCommunication_BUTTON;

    QLabel *usbDeviceNumber_LABEL;

    QSpinBox *usbDeviceNumber_SPINBOX;

};

#endif // STARDUNDEE_H
